=== debian/changelog ===
libpappsomspp (0.2.35-1) jessie; urgency=medium

  * new grouping API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 26 Apr 2017 21:17:09 +0200

libpappsomspp (0.2.34-1) jessie; urgency=medium

  * new peptides API to handle modification removal

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 24 Apr 2017 09:03:01 +0200

libpappsomspp (0.2.33-1) jessie; urgency=medium

  * better grouping, contaminant handler modified

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 18 Apr 2017 11:17:20 +0200

libpappsomspp (0.2.32-3) jessie; urgency=medium

  * better intensity ratio isotope determination

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 21 Jan 2017 12:13:24 +0100

libpappsomspp (0.2.32-1) jessie; urgency=medium

  * better spectrum API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 20 Dec 2016 17:01:04 +0100

libpappsomspp (0.2.31-1) jessie; urgency=medium

  * new modification replacer in digestion API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 07 Dec 2016 13:43:48 +0100

libpappsomspp (0.2.30-2) jessie; urgency=medium

  * digestion bug fixed

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Nov 2016 21:52:40 +0100

libpappsomspp (0.2.30-1) jessie; urgency=medium

  * new digestion API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 19 Oct 2016 21:50:47 +0200

libpappsomspp (0.2.29-1) jessie; urgency=medium

  * new peptide digestion pipeline

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 13 Sep 2016 13:55:11 +0200

libpappsomspp (0.2.28-1) jessie; urgency=medium

  * don't handle xic sink pointer lifetime

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 30 Aug 2016 17:12:30 +0200

libpappsomspp (0.2.27-1) jessie; urgency=medium

  * new ion types

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 25 Aug 2016 07:48:16 +0200

libpappsomspp (0.2.26-1) jessie; urgency=medium

  * new features in xtandem hyperscore computations

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 23 Aug 2016 10:06:12 +0200

libpappsomspp (0.2.25-1) jessie; urgency=medium

  * improving spectrum process for tandem hyperscore computation

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 19 Aug 2016 10:54:19 +0200

libpappsomspp (0.2.24-1) jessie; urgency=medium

  * new API to digest protein, new documentation

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 15 Jul 2016 16:01:40 +0200

libpappsomspp (0.2.23-1) jessie; urgency=medium

  * formula one

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sun, 03 Jul 2016 23:20:42 +0200

libpappsomspp (0.2.22-1) jessie; urgency=medium

  * XML id added in msrun

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 25 Jun 2016 17:34:19 +0200

libpappsomspp (0.2.21-1) jessie; urgency=medium

  * computing PSI OBO modification masses using the diff formula

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 24 Jun 2016 21:53:34 +0200

libpappsomspp (0.2.20-1) jessie; urgency=medium

  * compute amino acid mass using the chemical formula

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 22 Jun 2016 21:47:53 +0200

libpappsomspp (0.2.19-1) jessie; urgency=medium

  * proton vs protium bug fixed

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 22 Jun 2016 16:25:05 +0200

libpappsomspp (0.2.18-1) jessie; urgency=medium

  * disctinction between proton and protium mass

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 22 Jun 2016 15:34:14 +0200

libpappsomspp (0.2.17-1) jessie; urgency=medium

  * amino acid precision goes now to 4 digits instead of previous 3
    digits

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 22 Jun 2016 13:48:34 +0200

libpappsomspp (0.2.16-1) jessie; urgency=medium

  * new syntax to limit modifications per site

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sun, 12 Jun 2016 08:12:44 +0200

libpappsomspp (0.2.15-1) jessie; urgency=medium

  * new API to build peptide modification pipeline from strings

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 11 Jun 2016 22:15:09 +0200

libpappsomspp (0.2.14-1) jessie; urgency=medium

  * final fix into massrange

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 20 May 2016 22:31:50 +0200

libpappsomspp (0.2.13-1) jessie; urgency=medium

  * bug fix on PAPPSO mass range build with upper and lower precision

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 18 May 2016 15:25:20 +0200

libpappsomspp (0.2.12-1) jessie; urgency=medium

  * construct MassRange with upper and lower precisions

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 02 May 2016 16:40:31 +0200

libpappsomspp (0.2.11-1) jessie; urgency=medium

  * get highest and lowest mass of MassRange

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 28 Apr 2016 15:14:20 +0200

libpappsomspp (0.2.10-1) jessie; urgency=medium

  * peptide modification API modified, new Xic MS point distance
    function added

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 09 Apr 2016 22:52:33 +0200

libpappsomspp (0.2.9-1) jessie; urgency=medium

  * copy constructor bug fixed in Xic isotope

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 17 Mar 2016 08:46:10 +0100

libpappsomspp (0.2.8-2) jessie; urgency=medium

  * copy constructor added

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Mar 2016 21:18:37 +0100

libpappsomspp (0.2.8-1) jessie; urgency=medium

  * Precision pointers, xic detection methods

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 10 Mar 2016 12:13:15 +0100

libpappsomspp (0.2.7-1) jessie; urgency=medium

  * combinations cached
  * parsing PSI MOD istope labels
  * semi tryptic digestion

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 08 Feb 2016 09:06:57 +0100

libpappsomspp (0.2.6-2) jessie; urgency=medium


