=== debian/control ===
Source: libpappsomspp
Maintainer: Olivier Langella <olivier.langella@moulon.inra.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), cmake (>= 2.6), libqt4-dev (>= 4.6.3), qt5-default ,libpwiz-dev, libboost-dev, libodsstream-dev, doxygen
Standards-Version: 3.9.4

Package: libpappsomspp-qt4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ library to handle proteomic data
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...

Package: libpappsomspp-qt5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ library to handle proteomic data
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...

Package: libpappsomspp-qt5-dbgsym
Auto-Built-Package: debug-symbols
Priority: extra
Section: debug 
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library to handle proteomic data
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...

Package: libpappsomspp-qt4-dbgsym
Auto-Built-Package: debug-symbols
Priority: extra
Section: debug 
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library to handle proteomic data
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications...

Package: libpappsomspp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpappsomspp-qt4 (= ${binary:Version}), libpappsomspp-qt5 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for the proteomic PAPPSOms++ library
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications. the development files contains a cmake module
 to easily find and configure PAPPSOms++ library

Package: libpappsomspp-doc
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Description: doxygen documentation of the PAPPSOms++ library
 libpappsomspp provides a simple API to handle peptides, spectrum,
 ions, amino acid mofifications.
